# Maintainer: Michal Sotolar <michal@sotolar.com>

pkgname=php72-psr

pkgver=1.1.0
pkgrel=1
pkgdesc="PHP extension providing the accepted PSR interfaces"
arch=('x86_64')
url="https://github.com/jbboehr/php-psr"
license=('BSD')
depends=('php72')
makedepends=('gcc')
provides=('php-psr=$pkgver')
backup=('etc/php72/conf.d/psr.ini')
source=("https://github.com/jbboehr/php-psr/archive/v$pkgver.zip")
sha256sums=('b23d21cc797b406c40d8e808d5b60dbf2d0984c6d29ba2044d6ef01afc0dc7e3')

build() {
    cd "$srcdir/php-psr-$pkgver"

    if [ -f Makefile ]; then
        make clean
        phpize72 --clean
    fi

    phpize72
    ./configure --prefix=/usr --with-php-config=/usr/bin/php-config72
    make
}

package() {
    cd "$srcdir/php-psr-$pkgver"
    make INSTALL_ROOT="$pkgdir" install
    echo 'extension=psr.so' > psr.ini 
    install -Dm644 psr.ini "$pkgdir/etc/php72/conf.d/psr.ini"
    install -Dm644 "$srcdir/php-psr-$pkgver/LICENSE.md" "$pkgdir/usr/share/licenses/php72-psr/LICENSE.md"
}
